curl --request PATCH \
--url https://api.quiva.ai/hub/workflows/{collection_topic}/{flow_topic} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "UpdatedWorkflowName",
"description": "Updated workflow description"
}
'{
"subject": "ms.hub.config.workflow.draft.1234567890.98765432",
"name": "UpdatedWorkflow",
"description": "Updated workflow description",
"config": {
"nodes": [
{
"data": {
"id": "start",
"name": "Start",
"node_type": "map",
"payload": {
"message": "Updated start of workflow"
}
}
},
{
"data": {
"id": "process",
"name": "Process",
"node_type": "function",
"subject": "quiva-function.updated-process-function",
"payload": {
"input": "{start}"
}
}
}
],
"edges": [
{
"source": "start",
"target": "process",
"id": "edge1"
}
],
"result": "process"
},
"modified": 1651395678
}Workflows
Update a workflow
Updates an existing draft workflow’s properties
PATCH
/
hub
/
workflows
/
{collection_topic}
/
{flow_topic}
curl --request PATCH \
--url https://api.quiva.ai/hub/workflows/{collection_topic}/{flow_topic} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "UpdatedWorkflowName",
"description": "Updated workflow description"
}
'{
"subject": "ms.hub.config.workflow.draft.1234567890.98765432",
"name": "UpdatedWorkflow",
"description": "Updated workflow description",
"config": {
"nodes": [
{
"data": {
"id": "start",
"name": "Start",
"node_type": "map",
"payload": {
"message": "Updated start of workflow"
}
}
},
{
"data": {
"id": "process",
"name": "Process",
"node_type": "function",
"subject": "quiva-function.updated-process-function",
"payload": {
"input": "{start}"
}
}
}
],
"edges": [
{
"source": "start",
"target": "process",
"id": "edge1"
}
],
"result": "process"
},
"modified": 1651395678
}Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Path Parameters
The topic is a hash of the name that was used when a collection was created
Flow topic - hash of the names the node was created with
Body
application/json